RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Entity.ScoreAggregation Class Reference

## Public Member Functions
| ScoreAggregation ()
| ScoreAggregation (EScoreAggregation name)
Long | getID ()
EScoreAggregation | getName ()
void | setName (EScoreAggregation name)
float | proccess (float totalScore, float score)
float | getTotalScoreInitValue ()

## Detailed Description

Entita reprezentujici typ agregacni fukce pro skore z odehranych zapasu (pouziva se pro vyhodnoceni)

## Constructor & Destructor Documentation

## ◆ ScoreAggregation() [1/2]

com.robogames.RoboCupMS.Entity.ScoreAggregation.ScoreAggregation | ( |  | ) |
| inline

Typ agregaci funkce skore

## ◆ ScoreAggregation() [2/2]

com.robogames.RoboCupMS.Entity.ScoreAggregation.ScoreAggregation | ( | EScoreAggregation | name | ) |
| inline

Typ agregaci funkce skore

Parameters

  name | Nazev agregaci funkce

## Member Function Documentation

## ◆ getID()

Long com.robogames.RoboCupMS.Entity.ScoreAggregation.getID | ( |  | ) |
| inline

Navrati ID agregacni funkce

Returns
  ID agregacni funkce

## ◆ getName()

EScoreAggregation com.robogames.RoboCupMS.Entity.ScoreAggregation.getName | ( |  | ) |
| inline

Navrati nazev agregacni funkce

Returns
  Nazev agregaci funkce

## ◆ getTotalScoreInitValue()

float com.robogames.RoboCupMS.Entity.ScoreAggregation.getTotalScoreInitValue | ( |  | ) |
| inline

Navrati inicializacni hodnotu celkoveho skore (pro vypocet)

Returns
  Celkove skore

## ◆ proccess()

float com.robogames.RoboCupMS.Entity.ScoreAggregation.proccess | ( | float | totalScore,
|  | float | score
| ) |  |
| inline

Pouziva se pro zpracovani score. Aplikuje se na kazdy odehrany zapas robota. Do funkce vstupuje hodnota skore zapasu a celkoveho skore. Podle typu agragacni funkce navraci vyslednou hodnuto skore.

Parameters

  totalScore | Celkove skore
  score | Skore zapasu

Returns
  Vysledne celkove skore

## ◆ setName()

void com.robogames.RoboCupMS.Entity.ScoreAggregation.setName | ( | EScoreAggregation | name | ) |
| inline

Nastavi novy nazev agregacni funkce

Parameters

  name | Novy nazev agregaci funkce

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/ScoreAggregation.java